| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
DEBUGGING_LED_STATUS_s Struct Reference

`#include <led/app_led.h>`

Collaboration diagram for DEBUGGING_LED_STATUS_s:

## Data Fields
union {
volatile uint16_t value
}; |
unsigned | on: 1
unsigned | __pad0__: 1
unsigned | __pad1__: 1
unsigned | __pad2__: 1
unsigned | __pad3__: 1
unsigned | __pad4__: 1
unsigned | __pad5__: 1
unsigned | __pad6__: 1
unsigned | __pad7__: 1
unsigned | __pad8__: 1
unsigned | __pad9__: 1
unsigned | __pad10__: 1
unsigned | __pad11__: 1
unsigned | __pad12__: 1
unsigned | __pad13__: 1
unsigned | enabled

## Detailed Description

Definition at line 55 of file app_led.h.

## Field Documentation

## ◆ @364

union { ... }

## ◆ __pad0__

unsigned __pad0__

Definition at line 60 of file app_led.h.

## ◆ __pad10__

unsigned __pad10__

Definition at line 71 of file app_led.h.

## ◆ __pad11__

unsigned __pad11__

Definition at line 72 of file app_led.h.

## ◆ __pad12__

unsigned __pad12__

Definition at line 73 of file app_led.h.

## ◆ __pad13__

unsigned __pad13__

Definition at line 74 of file app_led.h.

## ◆ __pad1__

unsigned __pad1__

Definition at line 61 of file app_led.h.

## ◆ __pad2__

unsigned __pad2__

Definition at line 62 of file app_led.h.

## ◆ __pad3__

unsigned __pad3__

Definition at line 63 of file app_led.h.

## ◆ __pad4__

unsigned __pad4__

Definition at line 64 of file app_led.h.

## ◆ __pad5__

unsigned __pad5__

Definition at line 65 of file app_led.h.

## ◆ __pad6__

unsigned __pad6__

Definition at line 66 of file app_led.h.

## ◆ __pad7__

unsigned __pad7__

Definition at line 68 of file app_led.h.

## ◆ __pad8__

unsigned __pad8__

Definition at line 69 of file app_led.h.

## ◆ __pad9__

unsigned __pad9__

Definition at line 70 of file app_led.h.

## ◆ enabled

unsigned enabled

Definition at line 75 of file app_led.h.

## ◆ on

unsigned on

Definition at line 59 of file app_led.h.

## ◆ value

volatile uint16_t value

Definition at line 78 of file app_led.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/led/app_led.h